zenilib: AF_GlyphHintsRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
AF_GlyphHintsRec_ Struct Reference

`#include <afhints.h>`

## Public Attributes

AF_AxisHintsRec | axis [AF_DIMENSION_MAX]
AF_Point * | contours
FT_Int | max_contours
FT_Int | max_points
FT_Memory | memory
AF_ScriptMetrics | metrics
FT_Int | num_contours
FT_Int | num_points
FT_UInt32 | other_flags
AF_Point | points
FT_UInt32 | scaler_flags
FT_Pos | x_delta
FT_Fixed | x_scale
FT_Pos | xmax_delta
FT_Pos | xmin_delta
FT_Pos | y_delta
FT_Fixed | y_scale

## Detailed Description

Definition at line 331 of file afhints.h.

## Member Data Documentation

AF_AxisHintsRec AF_GlyphHintsRec_::axis[AF_DIMENSION_MAX]

Definition at line 349 of file afhints.h.

Referenced by af_latin2_align_linked_edge(), af_latin2_metrics_init_widths(), af_latin_align_linked_edge(), af_latin_metrics_init_widths(), and af_loader_load_g().

AF_Point* AF_GlyphHintsRec_::contours

Definition at line 347 of file afhints.h.

FT_Int AF_GlyphHintsRec_::max_contours

Definition at line 345 of file afhints.h.

FT_Int AF_GlyphHintsRec_::max_points

Definition at line 341 of file afhints.h.

FT_Memory AF_GlyphHintsRec_::memory

Definition at line 333 of file afhints.h.

Referenced by af_latin2_metrics_init_widths(), and af_latin_metrics_init_widths().

AF_ScriptMetrics AF_GlyphHintsRec_::metrics

Definition at line 354 of file afhints.h.

Referenced by af_latin2_compute_stem_width(), and af_latin_compute_stem_width().

FT_Int AF_GlyphHintsRec_::num_contours

Definition at line 346 of file afhints.h.

FT_Int AF_GlyphHintsRec_::num_points

Definition at line 342 of file afhints.h.

FT_UInt32 AF_GlyphHintsRec_::other_flags

Definition at line 352 of file afhints.h.

Referenced by af_latin2_hints_init(), and af_latin_hints_init().

AF_Point AF_GlyphHintsRec_::points

Definition at line 343 of file afhints.h.

FT_UInt32 AF_GlyphHintsRec_::scaler_flags

Definition at line 351 of file afhints.h.

Referenced by af_latin2_hints_init(), and af_latin_hints_init().

FT_Pos AF_GlyphHintsRec_::x_delta

Definition at line 336 of file afhints.h.

Referenced by af_latin2_hints_init(), af_latin_hints_init(), and af_loader_load_g().

FT_Fixed AF_GlyphHintsRec_::x_scale

Definition at line 335 of file afhints.h.

Referenced by af_latin2_hints_init(), af_latin_hints_init(), and af_loader_load_g().

FT_Pos AF_GlyphHintsRec_::xmax_delta

Definition at line 357 of file afhints.h.

Referenced by af_loader_load_g().

FT_Pos AF_GlyphHintsRec_::xmin_delta

Definition at line 356 of file afhints.h.

Referenced by af_loader_load_g().

FT_Pos AF_GlyphHintsRec_::y_delta

Definition at line 339 of file afhints.h.

Referenced by af_latin2_hints_init(), af_latin_hints_init(), and af_loader_load_g().

FT_Fixed AF_GlyphHintsRec_::y_scale

Definition at line 338 of file afhints.h.

Referenced by af_latin2_hints_init(), af_latin_hints_init(), and af_loader_load_g().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/autofit/afhints.h